Subject: [bug#28288] [PATCH 2/2] WIP

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 30 Aug 2017 10:38:00 +0200

Hi Christopher,

On Wed, 30 Aug 2017 07:31:13 +0100
Christopher Baines <[email-masked]> wrote:

> Currently, I get the following error when running this test.
> 
> registering closures...
> error: initialising database schema: disk I/O error
> ERROR: In procedure scm-error:
> ERROR: failed to register store items "/xchg/system"
> 
> 
> I also need the patch from
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28273 otherwise I can't
> even run the test.
> 
> Danny, I guess you have been looking at installing from an ISO image as
> well, as I spotted you added it to the release target. Have you been
> able to successfully use it yet?

Does that mean with the wip-installer-2 branch?

Otherwise in master I always tested it using gnu/system/install.scm until it has booted up successfully, which it did.

I've asked about the installation part before but there was no response.

> When attempting to use it initially, I encountered a problem where a
> glibc in the store was partially deleted. /var/guix/db/db.sqlite also
> initially didn't exist, which the WIP patch here attempts to address. 

Hmm, do you have logs of the release creation process?  Maybe xorriso complained?